Skip to main content
Gets the request body bytes of the HTTP call.

Syntax

Parameters

call   _In_
Type: HCCallHandle
The handle of the HTTP call. requestBodyBytes   _Outptr_result_bytebuffer_maybenull_(*requestBodySize)
Type: const uint8_t**
Receives a pointer to the request body bytes of the HTTP call. Receives nullptr if the request body is empty. libHttpClient owns the buffer. requestBodySize   _Out_
Type: uint32_t*
Receives the size of the request body, in bytes.

Return value

Type: HRESULT Returns S_OK on success, or E_INVALIDARG if any parameter is nullptr.

Remarks

If the title set a request body read function, this function doesn’t return the body bytes. requestBodySize then receives the size that the title passed for the read function, but requestBodyBytes doesn’t point to the body. Read the body with HCHttpCallRequestGetRequestBodyReadFunction instead.

Requirements

Header: httpProvider.h Library: libHttpClient.lib Supported platforms: Windows, XBOX One family consoles and XBOX Series consoles

See also

httpProvider
Last modified on October 30, 2026